class Account::AdsController < ApplicationController
  before_filter :login_required
  # TODO questões de segurança - um utilizador pode mexer nos ads de outro?
  
  def index
    @ads = Ad.find_all_by_user_id(current_user, :order => 'created_at DESC')
  end
  
  def edit
		@regions = Region.find(:all)
    @ad = Ad.find_by_id_and_user_id(params[:id], current_user)
    raise ActiveRecord::RecordNotFound if (!@ad)
		@images = Image.find_all_by_ad_id(@ad, :order => "num ASC")
  end
  
  def new
		@ad = Ad.new
		@regions = Region.find(:all)
  end  

  def create
		@ad = Ad.new(params[:ad])
		@ad.user = current_user
		@ad.active = false
		if @ad.save
			upload_images(params, @ad)
			flash[:notice] = _("Ad successfully created.") 
			redirect_to account_ads_path
		else
			@regions = Region.find(:all)
			render :action => 'new'
		end
	end
	
	def update
    @ad = Ad.find(params[:id])
		@regions = Region.find(:all)
		
		upload_images(params, @ad, true)
		
    if @ad.update_attributes(params[:ad])
      flash[:notice] = _("Ad successfully updated.")
      redirect_to :back
    else
      render :action => 'edit'
    end
  end
	
  def destroy
    @ad = Ad.find_by_id_and_user_id(params[:id], current_user)
    raise ActiveRecord::RecordNotFound if (!@ad)
    @ad.destroy
    flash[:notice] = _("The ad was deleted.")
    redirect_to :back
  end

  def validate
    @ad = Ad.find_by_id_and_user_id(params[:id], current_user)
    raise ActiveRecord::RecordNotFound if (!@ad)
    @ad.validated_at = DateTime.now
    @ad.active = true;
    @ad.save
    redirect_to :back
  end

  def delete_image
    @image = Image.find(params[:id])
    @image.destroy
		render :nothing => true
  end
	
	def reorder_images
		neworder = params[:images_edit]
		images = Image.find_all_by_ad_id(params[:ad], :order => 'num ASC')
		
		images.each do |image|
			num = neworder.index(image.id.to_s)+1
			image.num = num
			image.save
		end
		
		render :nothing => true
	end
	
	private
	# FIXME quando se edita um anuncio está a dar para enviar mais de 5 imagens!!
	def upload_images(params, ad, update=false)
		last_ad = Image.find_all_by_ad_id(ad.id, :order => 'num DESC').first
		last_ad ? last_num = last_ad.num : last_num = 0
		
		1.upto(5) do |i|
			up_file = params["image#{i}"]
			if up_file && !up_file.to_s.empty?
				image = Image.new
				image.up_file = params["image#{i}"]
				image.ad = ad
				!update ? image.num = i : image.num = last_num+1
				image.save
			end
		end
	end
end
