class Account::CategoriesController < ApplicationController
  def index
    @categories = Category.find(:all)
    @category = Category.new
  end
  
  # AJAX call
  def create
    cat = Category.new
    cat.name = params[:name]
    cat.save!
    render :text => "OK^"+poi_option_list(cat)
  rescue ActiveRecord::RecordInvalid
    render :text => "ERROR^"+cat.errors.full_messages[0]
  end
  
  def create_from_post
    cat = Category.new
    cat.name = params[:name]
    cat.save!
    flash[:notice] = "Category '#{cat.name}' created."
    redirect_to account_pois_categories_path
  rescue ActiveRecord::RecordInvalid
    flash[:error] = cat.errors.full_messages[0]
    redirect_to account_pois_categories_path
  end
  
	def destroy
		@category = Category.find(params[:id])
		@category.destroy if @category.ads.length.eql?0
		flash[:error] = "You can't delete categories with associated POIs." if @category.ads.length>0
	end
  
  def delete_checked
		params.each do |par|
			if par[0].to_i>0
				params[:id] = par[0]
				self.destroy
			end
		end
		flash[:notice] = "Checked categories deleted."
		redirect_to account_pois_categories_path
	end
  
  private
  def poi_option_list(category)
    list = ""
    Category.find(:all).each do |cat|
      cat.name.eql?(category.name) ? selected = " selected" : selected = ""
      list.concat("<option value=\"#{cat.id}\"#{selected}>#{cat.name}</option></select>")
    end
    list
  end
end
