require 'csv'
class Account::PoisController < ApplicationController
  before_filter :login_required
  before_filter :admin_required
	before_filter :load_categories
	
	protect_from_forgery :except => [:change_category]
	
	def index
	  @poi = Poi.new
	  @poi_list = Poi.find(:all)
  end
  
  def import
  end
  
  def create
    @poi = Poi.new(params[:poi])
    @poi.category_id = params[:pois][:category]
    @poi.save!
    flash[:notice] = "Point of interest created successfully."
    redirect_to :back
  rescue ActiveRecord::RecordInvalid
    @poi_list = Poi.find(:all)
    render :action => 'index'
  end
  
  def delete_checked
		params.each do |par|
			if par[0].to_i>0
				params[:id] = par[0]
				self.destroy
			end
		end
		flash[:notice] = "Checked POIs deleted."
		redirect_to account_pois_categories_path
	end
	
	def destroy
		@poi = Poi.find(params[:id])
		@poi.destroy
	end
  
  def change_category
    @poi = Poi.find(params[:poi_id])
    @poi.category_id = params[:cat]
    @poi.save_without_validation
    render :text => 'OK'
  end
  
  def upload
    @parsed_file = CSV::Reader.parse(params[:pois_file])
    added = 0
    line = 0
    @parsed_file.each do |row|
      poi = Poi.new
      poi.lng = row[0]
      poi.lat = row[1]
      poi.name = row [2]
      poi.poi_category_id = params[:pois][:category]
      if poi.save!
        added = added.succ
        line = line.succ
      end
    end
    flash[:notice] = "Import finished.<br />#{added} new points imported."
    redirect_to :back
  rescue CSV::IllegalFormatError
    flash[:error] = "Malformed POIs file."
    redirect_to :back
  rescue ActiveRecord::RecordInvalid
    flash[:error] = "Error on line #{line+1}.<br />POI already exists on that coordinates."
    redirect_to :back
  end
  
  private
  def load_categories
    @categories = Category.find(:all)
  end
  
end
