class AccountsController < ApplicationController
  # If you want "remember me" functionality, add this before_filter to Application Controller
  before_filter :login_from_cookie

	# say something nice, you goof!  something sweet.
  def index
		if (!logged_in? || User.count > 0)
			redirect_to(:action => 'signup')
			return
		end
		
		if check_role('Admin')
			redirect_to :controller => :users, :action => 'list' and return
		else
			#redirect_to :controller => :ad, :action => 'my_ads'
		end
		# redirect_to "/"
  end

  def login
    return unless request.post?
    self.current_user = User.authenticate(params[:email], params[:password])
    if logged_in?
      if params[:remember_me] == "1"
        self.current_user.remember_me
        cookies[:auth_token] = { :value => self.current_user.remember_token , :expires => self.current_user.remember_token_expires_at }
      end
			redirect_back_or_default("/")
    else
      flash[:error] = "Utilizador ou palavra-passe inválidos."
    end
  end

  def show
    @user = User.find(params[:id])
  end
  
	def edit
		@user = User.find(params[:id])
	end
	
	def update_photo
		@user = User.find(params[:id])
		if !params[:upload] || params[:upload].class.eql?("".class)
			flash[:error] = "Invalid file!"
			redirect_to :action => 'edit'
		else
			@user.uploaded_photo = params[:upload]
			@user.save
			flash[:notice] = 'Perfil actualizado.'
			redirect_to :action => 'edit', :id => params[:id]
		end
	end
	
	def update
		@user = User.find(params[:id])
    if @user.update_attributes(params[:user])
      flash[:notice] = 'Perfil actualizado.'
      redirect_to :action => 'edit', :id => params[:id]
    else
      render :action => 'edit', :id => params[:id]
    end
	end

  def signup
		@user = User.new
		@starting_year = 80.years.ago
		@ending_year = 12.year.ago
    return unless request.post?
    @user = User.new(params[:user])
		@user.role = Role.find_by_name('User')
    @user.save!
    self.current_user = @user
    redirect_back_or_default(:controller => '/account', :action => 'index')
    flash[:notice] = "Obrigado pelo seu registo!"
  rescue ActiveRecord::RecordInvalid
    render :action => 'signup'
  end
  
  def logout
    self.current_user.forget_me if logged_in?
    cookies.delete :auth_token
    reset_session
    redirect_back_or_default("/")
  end

	def forgot_password
		return unless request.post?
		if @user = User.find_by_email(params[:email])
			@user.forgot_password
			@user.save
			redirect_to :controller => :account, :action => 'forgot_password'
			flash[:notice] = "Foi enviado um link para o seu email para mudar a password." 
		else
			flash[:error] = "Não foi encontrado nenhum utilizador com o endereço fornecido." 
		end
	end
	
	def reset_error
	end
	
	def reset_password
		@user = User.find_by_password_reset_code(params[:id])
		raise if @user.nil?
		return if @user unless params[:password]
		if (params[:password] == params[:password_confirmation])
			self.current_user = @user #for the next two lines to work
			current_user.password_confirmation = params[:password_confirmation]
			current_user.password = params[:password]
			@user.reset_password
		else
			flash[:notice] = "Password mismatch" 
		end
		redirect_back_or_default(:controller => :account, :action => 'index') 
	rescue
		flash[:error] = "O código de recuperação de password não está correcto. Verifique que introduziu o endereço enviado para o seu email."
		redirect_to :controller => :account, :action => 'reset_error'
	end
	
end
