# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  # FIXME esta linha penso que não será necessária
  include GeoKit::Geocoders
  geocode_ip_address
  before_filter :build_languages
  before_filter :set_lang
  
	# gettext
	init_gettext "anuncios"
	
	include AuthenticatedSystem
  helper :all # include all helpers, all the time

	# See ActionController::RequestForgeryProtection for details
  # Uncomment the :secret if you're not using the cookie session store
  protect_from_forgery # :secret => '43ae5b24c3fba210b0930ddd52d36930'
  
  def set_lang
    set_locale "en" if cookies[:geo_session].nil? or cookies[:geo_session].empty?
    set_locale cookies[:geo_session]
  end
  
	def redirect_back_or(path)
		redirect_to :back
	rescue ActionController::RedirectBackError
		redirect_to path
	end
  
	def build_languages
	  @languages = {
	    "English" => "en",
	    "Português" => "pt_PT",
	    "Deutsch" => "de",
	    "Español" => "es"
	  }
  end
  
  # error handling
  RESCUE_RESPONSES = {
    'ActionController::RoutingError'  => 404,
    'ActionController::UnknownAction' => 404,
    'ActiveRecord::RecordNotFound'    => 404
  }
  def rescue_action(e)
    log_error(e)
    status_code = RESCUE_RESPONSES[e.class.name]
    render_optional_error_file(status_code || 500)
  end if ENV['RAILS_ENV'] != "development"
end
