class CommentsController < ApplicationController
  before_filter :login_required, :only => [:new, :create]
	def new
		@comment = Comment.new
	end

	def create
		@comment = Comment.create(params[:comment])
		@comment.user_id = current_user.id
		session[:comment] = @comment
		
		if @comment.save
			flash[:notice] = _("Comment was successfully added.")
			expire_fragment(:controller => 'users', :action => 'show', :id => @comment.ad.user)
			redirect_to ad_path(:id => @comment.ad_id, :anchor => "comments")
		else
			flash[:error] = @comment.errors.full_messages
			errors = @comment.errors.full_messages
			redirect_to ad_path(:id => @comment.ad_id, :anchor => "comments")
		end
	end
  
	def reply	  
	  if params[:reply]
      root = Comment.find(params[:id])
      child = root.children.create(params[:reply])
      child.user_id = current_user.id
	    child.save
	    redirect_to ad_path(child.ad)
    else
		  sleep 2
		  @comment = Comment.find_by_id(params[:id])
		  @reply = Comment.new
		  render :partial => 'reply'
	  end
	end

end
