# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
  $crumbs = []

  def add_crumb(name, link, active = false)
    $crumbs << [name, link, active]
  end

  def get_crumbs(separator = ' &raquo; ', start_text = false)
    if $crumbs.size
      out = []
      if start_text
        out << link_to(start_text, root_url)
      end
      for crumb in $crumbs
        out << (crumb[2] ? crumb[0] : link_to(crumb[0], crumb[1]))
      end
      $crumbs = []
      return out.join(separator)
    else
      return null
    end
  end
  
  def link_to_unless_current_section(name, path, section)
    if !current_page?(path) and !(params[:controller] =~ /^#{section}\/?/)
      link_to name, path
    else
      name
    end
  end
  
  def flash_messages
    messages = ""
    if flash[:error]
      messages += "
      <div id=\"error\">
        <div class=\"text\">#{flash[:error]}</div>
        <div class=\"close\">
          <a href=\"#\" onclick=\"closeFlash('error');return false;\">X</a>
        </div>
      </div>"
    end
		
    if flash[:notice]
      messages += "
      <div id=\"notice\">
        <div class=\"text\">#{flash[:notice]}</div>
        <div class=\"close\">
          <a href=\"#\" onclick=\"closeFlash('notice');return false;\">X</a>
        </div>
      </div>"
    end
    return messages
	end
	
	def required_field
		image = "<em>"
		image += "<img src=\"/images/required.png\" alt=\"" + _("Mandatory") + "\" />"
		image += "</em>"
	end
	
	def formatted_text(text)
	  text.gsub!(/(.*)(\r\n)+/, '<p>\1</p>')
  end
  
  def google_key
    "ABQIAAAAGiy8E8adKXyFxvwP0pMSsxTEYzX3MUwHSxVwGnKOSjzv7Qa90hTH1zdpavUSEdOC5dIR8QVQtWYb6w" if ENV['RAILS_ENV'] == "production"
    "ABQIAAAA_lrMpAnUQ2VAiWBQX6DgXBTJQa0g3IQ9GZqIMmInSLzwtGDKaBQeWeIa6zQOsx-6Q-mraAOxD4OcRA" if ENV['RAILS_ENV'] == "development"
  end
end
