class Message < ActiveRecord::Base
	belongs_to :sender, :foreign_key => 'sender_id', :class_name => 'User'
	belongs_to :receiver, :foreign_key => 'receiver_id', :class_name => 'User', :counter_cache => true
	
	#validates_presence_of :subject, :body, :sender, :receiver
	validates_length_of :subject, :within => 3..255
	validates_length_of :body, :within => 3..1000
	
	after_create :send_email
	
	def send_email
		UserNotifier.deliver_new_message(receiver)
	end
	
	def validate
		if receiver == sender
			errors.add(:receiver, "can't be you.")
		end
	end
	
	def self.new_msgs_for(user)
		return find_all_by_receiver_id(user.id, :conditions => 'read=false').length
	end
end
