class Poi < ActiveRecord::Base
  acts_as_mappable
  
  belongs_to :category
  
  validates_presence_of :lat
  validates_presence_of :lng
  validates_presence_of :description
  validates_presence_of :type
  
  def validate
    if Poi.find_by_lat_and_lng(self.lat, self.lng).eql?(self)
      errors.add(:location, "already exists on #{self.lat},#{self.lng}")
    end
  end
end
