# application name
set :user, 			"mentesvirtuais"
set :app_name,	"anuncios"

# svn
set :svn_dir,		"anuncios"
set :svn_user,	"ricardo"
set :svn_pass,	"awk890"

# database
set :db,				"anuncios"
set :db_user,		"mentesvirtuais"
set :db_pass,		"awk890"

# dependencies
depend :remote, :gem, "gettext", ">=1.90.0"
depend :remote, :gem, "rmagick", ">=0.0.0"

# If you aren't deploying to /u/apps/#{application} on the target
# servers (which is the default), you can specify the actual location
# via the :deploy_to variable:
# set :deploy_to, "/var/www/#{application}"
set :deploy_via, :copy
set :use_sudo, false

set :repository,
 Proc.new { "--username #{svn_user} " +
            "--password #{svn_pass} " +
            "--no-auth-cache " +
            "svn://172.30.0.100/projects/web/#{svn_dir}/trunk" }

role :app, "192.168.81.72"
role :web, "192.168.81.72"
role :db,  "192.168.81.72", :primary => true

set :deploy_to, "/home/mentesvirtuais/domains/#{app_name}.mentesvirtuais.com/#{app_name}"

task :restart, :roles => :app do
  run "touch #{deploy_to}/tmp/restart.txt"
end

task :after_update_code do
  backup
  symlink_uploads
end

task :backup, :roles => :db, :only => { :primary => true } do
 filename =  "/tmp/#{app_name}_dump_#{Time.now.to_s.gsub(/ /, "_")}.sql"
 on_rollback { delete filename }
 run "pg_dump -U #{db_user} #{db} > #{filename}" do |ch, stream, out|
   ch.send_data "#{db_pass}\n" if out =~ /^Enter db password:/
 end
end

task :symlink_uploads  do
   run "rm -rf #{latest_release}/public/uploads"
   run "ln -s /home/mentesvirtuais/domains/#{app_name}.mentesvirtuais.com/#{app_name}/shared/uploads #{latest_release}/public/uploads"
end