class AddUserCounterCache < ActiveRecord::Migration
  def self.up
    add_column :users, :messages_as_receiver_count, :integer, :null => false, :default => 0
    User.reset_column_information
    User.find(:all).each do |u|
      User.update_counters u.id, :messages_as_receiver_count => u.messages_as_receiver.length
    end
  end

  def self.down
    remove_column :users, :messages_as_receiver_count
  end
end
