# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 17) do

  create_table "ad_requests", :force => true do |t|
    t.integer  "ad_id"
    t.integer  "user_id"
    t.boolean  "accepted",   :default => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "ads", :force => true do |t|
    t.boolean  "room_share"
    t.boolean  "house_share"
    t.string   "address"
    t.integer  "user_id"
    t.text     "description"
    t.string   "title"
    t.integer  "region_id"
    t.integer  "price"
    t.boolean  "active"
    t.datetime "validated_at"
    t.datetime "available_at"
    t.integer  "available_for_num"
    t.string   "available_for_unit"
    t.string   "house_type"
    t.integer  "rooms"
    t.integer  "available_rooms"
    t.integer  "bathrooms"
    t.integer  "size"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "fourniture"
    t.boolean  "television"
    t.boolean  "double"
    t.boolean  "private_bathroom"
    t.boolean  "washing_machine"
    t.boolean  "internet"
    t.boolean  "cable_tv"
    t.boolean  "dishwasher"
    t.boolean  "elevator"
    t.boolean  "oven"
    t.boolean  "kitchen"
    t.boolean  "microwave_oven"
    t.boolean  "fridge"
    t.boolean  "looking_gender"
    t.string   "looking_occupation"
    t.integer  "looking_max_age"
    t.integer  "looking_min_age"
    t.boolean  "looking_pets"
    t.boolean  "looking_smoker"
    t.boolean  "price_water"
    t.boolean  "price_phone"
    t.boolean  "price_energy"
    t.boolean  "price_internet"
    t.boolean  "price_gas"
    t.boolean  "price_cable"
    t.float    "lat"
    t.float    "lng"
    t.string   "sms_hash"
    t.integer  "comments_count",     :default => 0, :null => false
  end

  create_table "categories", :force => true do |t|
    t.string "name", :null => false
  end

  create_table "comments", :force => true do |t|
    t.integer  "ad_id"
    t.integer  "reply_to"
    t.integer  "user_id"
    t.text     "text"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "comment_id", :default => 0
  end

  create_table "images", :force => true do |t|
    t.integer "ad_id"
    t.string  "name"
    t.integer "num"
  end

  create_table "messages", :force => true do |t|
    t.integer  "sender_id"
    t.integer  "receiver_id"
    t.boolean  "read",                :default => false
    t.boolean  "replied",             :default => false
    t.string   "subject"
    t.text     "body"
    t.boolean  "deleted_on_sender",   :default => false
    t.boolean  "deleted_on_receiver", :default => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "messages", ["receiver_id"], :name => "index_messages_on_receiver_id"
  add_index "messages", ["sender_id"], :name => "index_messages_on_sender_id"

  create_table "open_id_authentication_associations", :force => true do |t|
    t.integer "issued"
    t.integer "lifetime"
    t.string  "handle"
    t.string  "assoc_type"
    t.binary  "server_url"
    t.binary  "secret"
  end

  create_table "open_id_authentication_nonces", :force => true do |t|
    t.integer "timestamp",  :null => false
    t.string  "server_url"
    t.string  "salt",       :null => false
  end

  create_table "pois", :force => true do |t|
    t.string  "description", :null => false
    t.float   "lat",         :null => false
    t.float   "lng",         :null => false
    t.integer "category_id", :null => false
  end

  create_table "regions", :force => true do |t|
    t.string "name"
    t.float  "lat"
    t.float  "lng"
  end

  create_table "reviews", :force => true do |t|
    t.integer  "ad_id"
    t.integer  "user_id"
    t.integer  "points",     :default => 0, :null => false
    t.integer  "security",   :default => 0, :null => false
    t.integer  "location",   :default => 0, :null => false
    t.integer  "landlord",   :default => 0, :null => false
    t.integer  "quality",    :default => 0, :null => false
    t.text     "text",                      :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "roles", :force => true do |t|
    t.string "name"
  end

  create_table "users", :force => true do |t|
    t.string   "username"
    t.string   "email"
    t.string   "name"
    t.string   "surname"
    t.string   "occupation"
    t.string   "orientation"
    t.datetime "birth_date"
    t.boolean  "gender"
    t.string   "mobile_phone"
    t.boolean  "pets"
    t.boolean  "smoker"
    t.integer  "role_id"
    t.string   "password_reset_code",        :limit => 40
    t.string   "crypted_password",           :limit => 40
    t.string   "salt",                       :limit => 40
    t.string   "remember_token"
    t.datetime "remember_token_expires_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "identity_url"
    t.integer  "messages_as_receiver_count",               :default => 0, :null => false
  end

end
