/* search functions */
var Search = {
  
  regionChange: function() {
    var reg_box = $('search_region');
    var region = reg_box.options[reg_box.selectedIndex];
    // close
    if ($('near_input').visible()) {
      var opts = {
        duration: 0.1,
        afterFinish: function(t) {
          $('search_category').selectedIndex = 0;
          $('near_toggler').className = 'arrow_closed'
          $('search_poi').hide();
        }
      };
      Effect.BlindUp('near_input', opts); 
    }
  },
  
  categoryChange: function(selectedPoi) {
    var cat_box = $('search_category');
    var reg_box = $('search_region');
    var category = cat_box.options[cat_box.selectedIndex];
    var region = reg_box.options[reg_box.selectedIndex];
    
    // any category choice
    if (category.value==0) {
      // Search.near();
    }
    // other choices
    else {
      var opts = {
        method: 'get',
        parameters: "category="+category.value+"&region="+region.value,
        onComplete: function(t) {
          var pois = eval(t.responseText);
          $('search_poi').innerHTML = "";
          $('search_poi').innerHTML += '<option value="0">Qualquer '+category.text+'</option>'
          for (var i=0; i<pois.length; i++) {
            var poi = pois[i];
            (poi.id == selectedPoi) ? selected = " selected" : selected = ""
            $('search_poi').innerHTML += '<option value="'+poi.id+'"'+selected+'>'+poi.description+'</option>'+"\n";
          }
          $('search_poi').show();
        }
      }
      new Ajax.Request("/pois/list", opts);
    }
  },
  
  near: function() {
    // close
    if ($('near_input').visible()) {
      var opts = {
        duration: 0.1,
        afterFinish: function(t) {
          $('search_category').selectedIndex = 0;
          $('near_toggler').className = 'arrow_closed'
          $('search_poi').hide();
        }
      };
      Effect.BlindUp('near_input', opts); 
    }
    // open
    else {
      var opts = {
        duration: 0.1,
        afterFinish: function(t) {
          $('near_toggler').className = 'arrow_open'
        }
      }
      Effect.BlindDown('near_input', opts); 
    }
  },
  
  facilities: function() {
    // close
    if ($('facility_list').visible()) {
      var opts = {
        duration: 0.1,
        afterFinish: function(t) {
          $('facilities_toggler').className = 'arrow_closed'
          $('facilities_hidden').value = ''
        }
      };
      Effect.BlindUp('facility_list', opts); 
    }
    // open
    else {
      var opts = {
        duration: 0.1,
        afterFinish: function(t) {
          $('facilities_toggler').className = 'arrow_open'
          $('facilities_hidden').value = 'with facilities'
        }
      }
      Effect.BlindDown('facility_list', opts); 
    }
  }
}

/* coordinates object for googlemaps */
var Coords = {
  init: function(lat, lng) {
    this.lat = lat;
    this.lng = lng;
  }
}

/* tabs */
var Tabs = {
	
	// initiates variables
	init: function(prefix, divs) {
		this.divs = divs;
		this.prefix = prefix;
	},
	
	// changes the tab
	changeTab: function(tab) {
		var div = this.prefix+tab;
		
		for (var i=0; i<this.divs.length; i++) {
			var temp_div = this.prefix+this.divs[i];
			if ($(temp_div).visible() && temp_div!=div) {
				$(temp_div).hide();
				$('tab-'+this.divs[i]).removeClassName('active');
			}
		}
		
		$('tab-'+tab).addClassName('active');
		$(div).show();
		
		return false;
	}
}

/* unloads google maps if exists */
function gmapsUnload() {
	if (typeof GUnload==='function') {
		GUnload();
	}
	else
		return true;
}

/* toggles change user picture on user edit */
function toggleChangePicture() {
	if ($('change_picture').visible())
		Effect.Fade('change_picture');
	else
		Effect.Appear('change_picture');
	return false;
}

/* for date selectors popups */
function pageLoaded() {	
	if ($('user[birth_date]')) {
		$('user[birth_date]').readOnly = true;
		$('user[birth_date]').observe('focus', popupDateSelector);
	}
	if ($('ad[available_at]')) {
		$('ad[available_at]').readOnly = true;
		$('ad[available_at]').observe('focus', popupDateSelector);
	}
}

/* pops up selector when field focus */
function popupDateSelector() {
	var field;
	
	if ($('ad[available_at]')) {
		field = 'ad[available_at]';
	} 
	else {
		field = 'user[birth_date]';
	}
	var calImg = $(field).next();
	calImg.onclick();
}
Event.observe(window, 'load', pageLoaded, false);

/* add an upload field for ad */
function addUploadField() {
	// all upload fields
	fields = document.getElementsByClassName("upload_field");
	
	maxFields = 4-imagesUploaded();
	
	for (i=0; i<maxFields; i++) {
		if (fields[i].style.display == "none") {
			Element.show(fields[i]);
			return;
		}
	}
	
	// can't add more
	Element.hide($('uploads_max'));
	Element.show($('uploads_max'));
	parameters = {
		distance:4,
		duration:0.2
	};
	
	Effect.Shake($('uploads_max'), parameters);
}

/* changes a category from a POI */
function changeCategory(id) {
  var select = $('poi_'+id+'_category');
  var cat = select.options[select.selectedIndex].value;
  var opt = {
    method: 'post',
    parameters: "poi_id="+id+"&cat="+cat
  }
  new Ajax.Request("/account/pois/change_category", opt);
}

/* checks all messages for deletion on private messages system */
function checkAll(className) {
	var rows = document.getElementsByClassName(className);
	for (var i=0; i<rows.length; i++) {
		var check = rows[i].childElements()[0];
		check.checked = true;
	}
}

/* unchecks all messages for deletion on private messages system */
function uncheckAll(className) {
	var rows = document.getElementsByClassName(className);
	for (var i=0; i<rows.length; i++) {
		var check = rows[i].childElements()[0];
		check.checked = false;
	}
}

/* returns total number of uploaded images */
function imagesUploaded() {
	// todas as imagens
	images = document.getElementsByClassName("image");
	imageNumber = 0;
	for (i=0; i<images.length; i++) {
		if (images[i].style.display != "none") {
			imageNumber++;
		}
	}
	return imageNumber;
}

/* deletes an image on ad edit */
function deleteImage(id) {
	// esconde a imagem e pode sempre mostrar os uploads
	Element.hide(id);
	Element.show('upload_image');
	
	// nao ha mais imagens
	if (imagesUploaded() == 0)
		Element.hide('edit_image');
}

/* closes flash messages */
function closeFlash(flash) {
  Effect.Fade(flash);
}

/* add and cancel comment for ad */
function addComment() {
	$('comment_form').show();
	$('comment_text').focus();
	window.scrollTo(0,window.document.body.scrollHeight);
}

// this can be on reply too
function cancelComment(link) {
	link.parentNode.parentNode.parentNode.hide();
}

/* show replies for comment id */
function showHideReplies(id) {
  var repliesDiv = 'replies_for_'+id;
  var link = 'showhide_link_'+id;
  // hide
  if ($(repliesDiv).visible()) {
    Effect.BlindUp(repliesDiv, {duration:0.5});
    $(link).childNodes[0].innerHTML = "Show";
  }
  // show
  else {
    Effect.BlindDown(repliesDiv, {duration:0.5});
    $(link).childNodes[0].innerHTML = "Hide";
  }
}

/* when a new category is added on admin */
function categoryAdded(request) {
  var response = request.responseText.split("^");
  if (response[0] == 'OK') {
    $('pois_category').innerHTML = response[1];
    $('add_category').hide();
  }
  else {
    alert(response[1]);
  }
}

/* reply to a comment */
function replyToComment(id) {
	var commentDiv = $('comment_'+id);
	if (!commentDiv) return false;
	var replyDiv = $('reply_form_for_'+id);
	replyDiv.show();
}