/* slideshow */
var Slideshow = {
  // init
  init: function(images, props) {
    this.props = Object.extend({
      duration: [200, 400],
      path: '/',
      navigation: false,
      thumbnailre: [/\./, 't.']
    }, props || {});
    
    this.images = images; // the images in json
    this.currSlide = 0; // current slide = 0
    this.slides = []; // where the div names will be
    
    // create divs
    this.addDivs();
    this.buildThumbnails();
  },
	
	// add divs to DOM
	addDivs: function() {
	  for (var i=0; i<this.images.length; i++) {
	    var name = 'slideshow_'+(i+2);
	    var div = document.createElement('div');
	    div.setAttribute('id', name);
	    div.setAttribute('class', 'slide');
	    div.setAttribute('style', 'display:none');
	    
	    var img = document.createElement('img');
	    img.setAttribute('src', this.props.path+'220x176_'+this.images[i].name);
	    this.slides.push(name);
	    div.appendChild(img);
      $('slides').appendChild(div);
	  }
	},
	
	// builds the thumnails
	buildThumbnails: function() {
	  // var ul = new Element('ul');
	  var ul = document.createElement('ul');
	  for (var i=0; i<this.images.length; i++) {
	    var li = document.createElement('li');
	    var link = document.createElement('a');
	    link.setAttribute('href', '#');
	    link.setAttribute('onclick', 'Slideshow.changeSlide('+i+');return false;');
	    link.setAttribute('style', 'background:url('+this.props.path+'110x88_'+this.images[i].name+') 50% 50%');
	    li.appendChild(link);
	    ul.appendChild(li);
	  }
	  $('thumbnails').appendChild(ul);
	},
	
	// jump to slide
	changeSlide: function(toSlide) {
	  if (this.slides[toSlide]==this.slides[this.currSlide])
	    return false;
    this.doTransition(this.currSlide, toSlide);
    this.currSlide = parseInt(toSlide);
    return false;
	},
	
	// transition effect
	doTransition: function(fromSlide, toSlide) {
	  Effect.Fade(this.slides[fromSlide], {duration:0.5, from:1.0, to:0.0});
    Effect.Appear(this.slides[toSlide], {duration:0.5, from:0.0, to:1.0});
	},
	
	// next slide
	nextSlide: function() {
	  var nextSlide = this.currSlide+1;
	  if (nextSlide==6 || !this.slideExists(nextSlide)) nextSlide = 0;
	  this.changeSlide(nextSlide);
	},
	
	// previous slide
	prevSlide: function() {
	  var prevSlide = this.currSlide-1;
	  if (prevSlide<0 || !this.slideExists(prevSlide)) prevSlide = this.maxSlide();
	  this.changeSlide(prevSlide);
	},
	
	// max slide number
	maxSlide: function() {
	  var max = 0;
	  for (var i=0; i<this.slides.length; i++) {
	    if (this.slideExists(i)) {
	      max++;
	    }
	  }
	  return max-1;
	},
	
	// the slide exists?
	slideExists: function(slide) {
	  var div = this.slides[slide];
	  if (!$(div)) return false;
	  return true;
	}
}