require File.dirname(__FILE__) + '/../test_helper'

class CommentTest < Test::Unit::TestCase
  fixtures :comments, :ads, :users
  
	def test_text_should_be_shorter_than_255
		text = ""
		256.times do |i|
			text += "A"
		end
		comment = Comment.create(:text => text)
		assert !comment.valid?, "Comment shouldn't be created"
  end

	def test_should_have_valid_length
		text = ""
		256.times do |i|
			text += "A"
		end
		
		# too short
		c = create_comment(:text => "t")
		assert c.errors.on(:text)
		
		# too long
		c = create_comment(:text => text)
		assert c.errors.on(:text)
	end
	
	def test_should_require_text
		assert_no_difference 'Comment.count' do
			c = create_comment(:text => nil)
			assert c.errors.on(:text)
		end
	end

	protected
	def create_comment(options = {})
		Comment.create({
			:user => users(:quentin),
			:ad => ads(:ad_one),
			:text => 'this is a valid text for comment'
			}.merge(options))
	end
end
